#ifndef PGJOURNALSELECT_H
#define PGJOURNALSELECT_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct pgJournalSelectInfo {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagHost;
    char* Host;
    
    long flagPort;
    char* Port;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagmode;
    long mode;
    
} pgJournalSelectInfo;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(pgJournalSelectInfo* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(pgJournalSelectInfo* info);
extern void init1(pgJournalSelectInfo* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* PGJOURNALSELECT_H */
